Bug 212213 - devel/leiningen: Update to 2.7.1
Summary: devel/leiningen: Update to 2.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://github.com/technomancy/leinin...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-08-28 11:16 UTC by Tobias Kortkamp
Modified: 2017-02-01 14:45 UTC (History)
1 user (show)

See Also:


Attachments
leiningen.diff (1.31 KB, patch)
2016-08-28 11:16 UTC, Tobias Kortkamp
no flags Details | Diff
leiningen.diff (1.82 KB, patch)
2016-09-22 13:09 UTC, Tobias Kortkamp
tobik: maintainer-approval? (rpaulo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2016-08-28 11:16:41 UTC
Created attachment 174154 [details]
leiningen.diff

Changes: https://github.com/technomancy/leiningen/releases/tag/2.7.0

Poudriere testport FreeBSD 10.3/amd64 ok, portlint ok
Comment 1 Tobias Kortkamp freebsd_committer 2016-09-22 13:09:26 UTC
Created attachment 175058 [details]
leiningen.diff

2.7.1 has been released. Use shebangfix for setting #! line.

portlint ok, poudriere testport 10.3/amd64 ok
Comment 2 Jan Beich freebsd_committer 2016-10-26 17:11:34 UTC
Maintainer timeout. If more accumulate it maybe worth to consider reset (e.g., bug 210474).
Comment 3 Dmitry Marakasov freebsd_committer 2017-02-01 11:18:22 UTC
Looks good. Tobias, since the maintainer was reset, would you like to become maintainer of this port?
Comment 4 commit-hook freebsd_committer 2017-02-01 11:32:09 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Feb  1 11:31:46 UTC 2017
New revision: 433001
URL: https://svnweb.freebsd.org/changeset/ports/433001

Log:
  - Update to 1.1.21
  - Allow concurrent installs (fix docdir)

  PR:		212213
  Submitted by:	xmj@FreeBSD.org
  Approved by:	maintainer timeout (johannes@perceivon.net, 6 weeks)

Changes:
  head/math/py-fastcluster/Makefile
  head/math/py-fastcluster/distinfo
Comment 5 Tobias Kortkamp freebsd_committer 2017-02-01 11:51:08 UTC
(In reply to Dmitry Marakasov from comment #3)
Thank you, yes.
Comment 6 commit-hook freebsd_committer 2017-02-01 14:45:00 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Feb  1 14:44:32 UTC 2017
New revision: 433040
URL: https://svnweb.freebsd.org/changeset/ports/433040

Log:
  - Update to 2.7.1
  - Add NO_ARCH
  - Cosmetic fixes
  - Pass maintainership to submitter

  PR:             212213
  Submitted by:   t@tobik.me (maintainer)

Changes:
  head/devel/leiningen/Makefile
  head/devel/leiningen/distinfo